#ifndef KEYBOARD_HPP
#define KEYBOARD_HPP

#include <optional>

#define K_CONTROL_L -1
#define K_SHIFT_L   -2
#define K_ALT_L     -3
#define K_CAPS      -4
#define K_NUM       -5
#define K_SCROLL    -6
#define K_SHIFT_R   -7
#define K_ESCAPE    -8
#define K_F1        -10
#define K_F2        -11
#define K_F3        -12
#define K_F4        -13
#define K_F5        -14
#define K_F6        -15
#define K_F7        -16
#define K_F8        -17
#define K_F9        -18
#define K_F10       -19
#define K_F11       -20
#define K_F12       -21

void keyboard_initialize();

std::optional<char> keyboard_read();

#endif // KEYBOARD_HPP

